inherit kernel
require linux-sysmocom.inc

LINUX_VERSION ?= "${PV}"

PR = "r15"
SRC_URI = "${KERNELORG_MIRROR}/linux/kernel/v2.6/linux-${PV}.tar.bz2 \
	   ftp://ftp.servus.at/linux-kernel/patch-2.6.39.4.bz2;apply=yes;name=stablepatch \
	   file://mISDN_loop.patch \
	   file://defconfig"

COMPATIBLE_MACHINE = "(sysmocom-bsc)"


require linux-tools.inc

do_configure() {
	install -m 0644 ${WORKDIR}/defconfig ${S}/.config
	oe_runmake oldconfig
}
