THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${THISDIR}/files"], d)}:"

PRINC="6"

SRC_URI += "file://0001-Add-wifi2udp-program.patch \
	    file://wifi2udp.service"

PACKAGES =+ "wireless-tools-wifi2udp"

FILES_wireless-tools-wifi2udp = "${sbindir}/wifi2udp \
				${systemd_unitdir}/system/wifi2udp.service \
				${systemd_unitdir}/system/multi-user.target.wants/wifi2udp.service"

do_install_append() {
	install -m 0755 wifi2udp ${D}${sbindir}/wifi2udp
	install -d ${D}${systemd_unitdir}/system/
	install -m 0644 ${WORKDIR}/wifi2udp.service ${D}${systemd_unitdir}/system/
	install -d ${D}${systemd_unitdir}/system/multi-user.target.wants/
	ln -sf ../wifi2udp.service ${D}${systemd_unitdir}/system/multi-user.target.wants/
}
