PROVIDES = ""
SRC_URI = "git://git.sysmocom.de/barebox;protocol=git;branch=master"
SRCREV = "de2b004a2511c4aaeed64d0a9f5bf14d184d1560"
PR = "r2"

COMPATIBLE_MACHINE="sysmocom-odu"
S = "${WORKDIR}/git"

BAREBOX_BINARY_OE ?= "barebox-mlo-${MACHINE}-${PV}-${PR}.bin"
BAREBOX_BINARY_SYMLINK ?= "barebox-mlo-${MACHINE}.bin"
BAREBOX_IMAGE ?= "images/barebox-am33xx-phytec-phycore-mlo.img"
BAREBOX_IMAGE_OE ?= "barebox-mlo-${MACHINE}-${PV}-${PR}.img"
BAREBOX_IMAGE_SYMLINK ?= "barebox-mlo-${MACHINE}.img"

require barebox.inc


do_pre_configure() {
	   cp ${S}/arch/arm/configs/am335x_mlo_defconfig_odu ${S}/.config
	   oe_runmake oldconfig
}

do_deploy_append() {
	install ${S}/${BAREBOX_IMAGE} ${DEPLOY_DIR_IMAGE}/${BAREBOX_IMAGE_OE}

	cd ${DEPLOY_DIR_IMAGE}
	rm -f ${BAREBOX_IMAGE_SYMLINK}
	ln -sf ${BAREBOX_IMAGE_OE} ${BAREBOX_IMAGE_SYMLINK}
}

